File: dpmb.css

package info (click to toggle)
dpmb 0~2023.03.11
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, forky, sid, trixie
  • size: 12,280 kB
  • sloc: xml: 78; makefile: 75; sh: 6
file content (77 lines) | stat: -rw-r--r-- 1,570 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
#footer-text {
               width: 100%;
               text-align: center;
               font-size: 80%;
               opacity: 0.2;
               margin-bottom: 4ex;
}

#impressum {
             position: fixed;
             bottom: 0;
             right: 1em;
             font-size: 80%;
             text-align: right;
             opacity: 0.2;
}

#forkongithub a {
    background: #527bbd;
    color: #fff;
    text-decoration: none;
    font-family:arial,sans-serif;
    text-align: center;
    font-weight: bold;
    padding: 5px 40px;
    font-size: 1rem;
    line-height:  2rem;
    position: relative;
    transition: 0.5s;
}

#forkongithub a:hover {
    background: navy;
    color: #fff;
}

#forkongithub a::before, #forkongithub a::after {
    content: "";
    width: 100%;
    display: block;
    position: absolute;
    top: 1px;
    left: 0;
    height: 1px;
    background: #fff;
}

#forkongithub a::after {
    bottom: 1px;
    top: auto;
}

@media screen and (min-width: 800px){
    #forkongithub {
        position: fixed;
        display: block;
        top: 0;
        right: 0;
        width: 200px;
        overflow: hidden;
        height: 200px;
        z-index: 9999;
    }

    #forkongithub a {
        width: 200px;
        position: absolute;
        top: 60px;
        right: -60px;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        box-shadow: 4px 4px 10px rgba(0,0,0,0.8);
    }
}